Results 1 to 6 of 6

Thread: Atheros AR5007EG ath_pci Error

  1. #1
    Just burned his ISO
    Join Date
    Jan 2008
    Posts
    3

    Default Atheros AR5007EG ath_pci Error

    Hello

    I've a notebook with 3 installed OS

    Windows Vista
    Ubuntu 8.10
    Back Track 4

    My wireless card is Atheros AR5007EG, it is working perfect (sniffing,capturing ivs ...) on Ubuntu -not with ndiswrapper-
    I found a few how to faq about installing it on BT4 every time i got same error message it says s.thing like that..
    "Fatal : Module ath_pci not found" while trying "sudo depmod ath_pci" command.

    i was installing it on ubuntu just 5 commands

    sudo make install
    sudo depmod -ae
    sudo modprobe ath_pci
    echo ath_hal | sudo tee -a /etc/modules
    echo ath_pci | sudo tee -a /etc/modules

    i also checked blacklist for ath_pci before try to install there is nothing about it and started network service on terminal .. Any idea for install it clearly ?

  2. #2
    Just burned his ISO
    Join Date
    Jan 2008
    Posts
    3

    Default

    any idea to assist find something useful? on my ubuntu i have ath_pci file in sys/modules but i couldnt find for BT4

  3. #3
    Just burned his ISO
    Join Date
    Feb 2008
    Posts
    5

    Default

    My Atheros AR5007EG works fine in BT4. No need to install, works straight out of the box.
    Are you sure your wireless card is turned on?
    Aircrack forums has some good info about this card.

  4. #4
    Just burned his ISO
    Join Date
    Jul 2009
    Posts
    2

    Default

    The card works fine and I'm sure we can all appreciate the effort you've put into trying (as well as posting dupes) ..

    I have this card also.. I think all I did to get on the net with it after finding a suitable network was .. best of luck.

    sudo /etc/init.d/networking start

    I logged into KDE (startx) and ran Wicd Network Manager from the KDE/Internet menu. Chose my network and here I am.

  5. #5
    Junior Member cRaZylilmuffin's Avatar
    Join Date
    Mar 2010
    Posts
    38

    Default Injection?

    Dose that card support injection straight out of the box?
    "Things are not what they appear to be: nor are they otherwise." -Surangama Sutra

  6. #6
    Senior Member Nick_the_Greek's Avatar
    Join Date
    Jan 2010
    Location
    Greece
    Posts
    181

    Default

    Quote Originally Posted by PosthuM View Post
    Any idea for install it clearly ?
    BT4 works with ath5k or ath9k kernel modules. You need to compile your self the ath_pci, if you needed so.

    Code:
    modprobe -r ath5k
    modprobe -r ath9k
    cp -r /lib/modules/"`uname -r`"/kernel/drivers/net/wireless/ath5k /root/
    cp -r /lib/modules/"`uname -r`"/kernel/drivers/net/wireless/ath9k /root/
    rm -r /lib/modules/"`uname -r`"/kernel/drivers/net/wireless/ath5k
    rm -r /lib/modules/"`uname -r`"/kernel/drivers/net/wireless/ath9k
    
    svn -r 4073 checkout http://svn.madwifi-project.org/madwifi/trunk/ madwifi-ng
    wget http://patches.aircrack-ng.org/madwifi-ng-r4073.patch
    patch -N -p 0 -i madwifi-ng-r4073.patch
    cd madwifi-ng
    ./scripts/madwifi-unload
    make
    make install
    depmod -ae
    modprobe ath_pci
    ifconfig wifi0 up
    Hope I helped some

    Nick

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •